# $Revision: 1.44 $, $Date: 2011/08/31 18:28:56 $
Summary:	Uses internet talk protocol to create multiuser chat sessions
Summary(de.UTF-8):	Benutzt das Internet-Talk-Protokoll zum Erstellen von Multiuser-Chat-Sitzungen
Summary(es.UTF-8):	Usa el protocolo de talk de la internet para crear sesiones de chat entre varios usuarios
Summary(fr.UTF-8):	Utilise le protocole talk pour créer des discussions multi-utilisateurs
Summary(pl.UTF-8):	Klient talk umożliwiający jednoczesną rozmowę z kilkoma osobami
Summary(pt_BR.UTF-8):	Usa o protocolo de talk da internet para criar sessões de chat entre vários usuários
Summary(tr.UTF-8):	Talk protokolu kullanarak ikiden fazla kişinin konuşmasını sağlar
Name:		ytalk
Version:	3.1.1
Release:	13
License:	BSD
Group:		Networking
Source0:	http://www.iagora.com/~espel/ytalk/%{name}-%{version}.tar.gz
# Source0-md5:	e678401ab48be6728ec700458ad8ace0
Patch0:		%{name}.patch
URL:		http://www.iagora.com/~espel/ytalk/ytalk.html
BuildRequires:	autoconf
BuildRequires:	ncurses-devel >= 5.0
Provides:	talk
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ytalk is an extension of the standard Internet 'talk' protocol that
allows more than two users per conversation, redirection of program
output to others, as well as an easy-to-use menu of commands. It uses
the same talk daemon as the standard talk program.

%description -l de.UTF-8
ytalk ist eine Erweiterung des herkömmlichen
Internet-'talk'-Protokolls, die mehr als zwei Benutzer pro
Unterhaltung und die Umleitung von Programmausgaben an andere
ermöglicht und ein einfaches Befehlsmenü enthält. Es verwendet
denselben Talk-Dämon wie das Standardprogramm.

%description -l es.UTF-8
ytalk es una extensión del protocolo "talk" de Internet que permite
más de dos usuarios por conversación, nueva orientación de la salida
del programa para otros, así como un menú de comandos fácil de usar.
Utiliza el mismo daemon "talk" que el programa "talk" padrón.

%description -l fr.UTF-8
ytalk est une extension du protocole standard Internet 'talk' qui
accepte plus de deux utilisateurs par conversation, la redirection des
affichages aux autres, aussi bien que menus de commandes simples à
utiliser. Il utilise le même démon que le programme talk.

%description -l pl.UTF-8
Ytalk jest rozszerzeniem standardowego protokołu internetowego talk.
Pozwala na prowadzenie konwersacji przez więcej niż dwie osoby, używa
tego samego demona talkd co standardowy klient talk.

%description -l pt_BR.UTF-8
ytalk é uma extensão do protocolo "talk" da Internet que permite mais
de dois usuários por conversação, redirecionamento da saída do
programa para outros, assim como um menu de comandos fácil de usar.
Ele utiliza o mesmo daemon "talk" que o programa "talk" padrão.

%description -l tr.UTF-8
ytalk, standart talk yazılımının gelişmiş bir sürümüdür. İkiden fazla
kişinin aynı anda konuşmalarını ve program çıktılarının kullanıcılara
yönlendirilmelerini sağlar. Kolay kullanılabilir bir komut menüsü
içerir. Standart talkd daemon'u kullanır.

%prep
%setup -q
%patch0 -p1

%build
%{__autoconf}
LIBS="-ltinfo" \
CPPFLAGS="%{rpmcppflags} -I/usr/include/ncurses" \
CFLAGS="%{rpmcflags}" LDFLAGS="%{rpmldflags}" \
./configure %{_target_platform} \
	--prefix=%{_prefix} \
	--sysconfdir=%{_sysconfdir} \
	--without-x
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	prefix=$RPM_BUILD_ROOT%{_prefix} \
	sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir} \
	mandir=$RPM_BUILD_ROOT%{_mandir}
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README ChangeLog BUGS
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ytalkrc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ytalk.spec,v $
Revision 1.44  2011/08/31 18:28:56  arekm
- release 13

Revision 1.43  2011/01/06 20:31:19  sparky
- fix build with --no-add-needed ldflag
- use rpmcppflags

Revision 1.42  2007/02/12 22:09:26  glen
- tabs in preamble

Revision 1.41  2007/02/12 01:06:41  baggins
- converted to UTF-8

Revision 1.40  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.39  2005/12/13 18:01:47  glen
- adapterized (avoid macros with /usr/include/{ncurses,freetype}*)

Revision 1.38  2005/03/29 11:57:19  darekr
- noreplace for %config

Revision 1.37  2004/08/18 13:48:30  domelu
- rel. 12 to rebuild
CVS

Revision 1.36  2004/05/27 21:05:54  kali
- URL fix

Revision 1.35  2003/11/18 00:03:13  undefine
- release 11 to rebuild with ac

Revision 1.34  2003/05/26 16:25:54  malekith
- massive attack: adding Source-md5

Revision 1.33  2003/05/25 06:28:43  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.32  2002/06/05 19:47:46  kloczek
- bump reelase to 10.

Revision 1.31  2002/06/05 19:24:40  marcus
- fixed path to man in make install

Revision 1.30  2002/05/27 14:49:26  blues
- release 5
- new doc
- provides: talk

Revision 1.29  2002/05/21 23:15:09  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.28  2002/02/23 05:29:57  kloczek
- adapterized.

Revision 1.27  2002/02/22 23:30:11  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.26  2002/01/18 02:15:47  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.25  2001/12/23 04:33:52  blues
- release 4
- some stollen translations (CNV)
- URLs updated
- more docs

Revision 1.24  2001/10/11 14:55:13  qboosh
- adapterized, BuildRequires: autoconf

Revision 1.23  2001/05/02 02:43:04  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.22  2000/07/13 23:30:07  baggins
- release 3
- rebuild with ncurses 5.1

Revision 1.21  2000/06/09 07:55:17  kloczek
- more %%{__make} macros.

Revision 1.20  2000/06/09 07:24:23  kloczek
- added using %%{__make} macro.

Revision 1.19  2000/05/21 16:53:31  kloczek
- spec adapterized.

Revision 1.18  2000/04/01 11:16:02  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.17  2000/03/28 16:55:27  baggins
- translated kloczkish into english

Revision 1.16  1999/11/19 13:58:39  kloczek
- release 2,
- build against ncurses 5.0.

Revision 1.15  1999/07/20 12:48:12  wiget
- switch to rpm 3.0.2

Revision 1.14  1999/07/12 23:06:29  kloczek

- added using CVS keywords in %changelog (for automating them).

